Skip to main content
`Ctrl`+`K`

# all_pairs_node_connectivity

all_pairs_node_connectivity(G, nbunch=None, flow_func=None)

  Compute node connectivity between all pairs of nodes of G.

  Parameters:
    G NetworkX graph

      Undirected graph

    nbunch: container

      Container of nodes. If provided node connectivity will be computed only over pairs of nodes in nbunch.

    flow_func function

      A function for computing the maximum flow among a pair of nodes. The function has to accept at least three parameters: a Digraph, a source node, and a target node. And return a residual network that follows NetworkX conventions (see `maximum_flow()` for details). If flow_func is None, the default maximum flow function (`edmonds_karp()`) is used. See below for details. The choice of the default function may change from version to version and should not be relied on. Default value: None.

  Returns:
    all_pairs dict

      A dictionary with node connectivity between all pairs of nodes in G, or in nbunch if provided.

  See also

  `local_node_connectivity()`
  `edge_connectivity()`
  `local_edge_connectivity()`
  `maximum_flow()`
  `edmonds_karp()`
  `preflow_push()`
  `shortest_augmenting_path()`